# ezQuake Manual: Network Settings Variables

## cl_c2sImpulseBackup

### Description

Used with cl_c2spps, it controls how many backup copies of packets with non-zero impulses are to be sent to the server. The recommended value is 3, but you can try 2 or even 1 to reduce traffic if you don't have any packet loss.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 3

Variable is float.

## cl_c2spps

### Description

Packet filtering (a la Qizmo's .c2spps command). Use this to reduce network traffic if you're playing on a 28800 (or worse) connection and can't set cl_maxfps 72 because it causes lags.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## cl_crypt_rcon

### Description

Encrypts rcon messages sent to server.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## cl_nodelta

### Description

Control the network packet delta compression. When you get blue lines in your netgraph, you should set 'cl_nodelta 1'.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Disable delta compression.
0 | Enable delta compression.

## cl_nopred

### Description

This variable toggles client-side jump prediction. Unless you are having problems this variable should be left at "0".

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Disable jump prediction.
0 | Enable jump prediction.

## cl_oldPL

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Enable the new PL calculation algorithm.
0 | Disable the new PL calculation algorithm.

## cl_predictPlayers

### Description

This toggles the prediction for other players' movement. Unless you are having problems this variable should be left at "1".

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Predict other players' movement.
0 | Do not predict other players' movement.

## cl_solidPlayers

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | When you run into other players they will appear to be solid.
0 | When you run into other players you will appear to clip in them.

## cl_timeout

### Description

This variable defines the timeout value in seconds until the client considers himself to be disconnected from the server.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 60

Variable is float.

## cl_useproxy

### Description

This toggles whether Qizmo should be used (if detected) to a server. When enabled the server browser will use an existing connection to a Qizmo when connecting another server by using the ezQuake Server Browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | use Qizmo to connect a server chosen in the Server Browser
0 | do not use Qizmo to connect a server chosen in the Server Browser

## pushlatency

### Description

This variable adjusts client side prediction by negating the effects of latency.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
0 | automatic pushlatency adjusting
-50 | Default QWCL value.
-999 | Gives better results.

Some people suggest to use the negative value of your ping to achieve the best results, however in most cases the default value of "-999" should be fine.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz